musescore3 (3.2.3+dfsg2-21) unstable; urgency=high

  * Know more Q_OS_* platforms (+testcase)
  * Fix two assertions by making the desired outcome=state explicit
  * Small corrections to the scripttests, should pass now on Hurd
  * Add --share-folder (analogous --config-folder) and use that
    during mtests to avoid assertion on no workspaces

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 07 Oct 2025 02:03:18 +0200

musescore3 (3.2.3+dfsg2-20) unstable; urgency=high

  * Fix FTBFS with cmake 4 (Closes: #1113307)
  * Build with portmidi 2.x (Closes: #1114632)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 05 Oct 2025 00:27:42 +0200

musescore3 (3.2.3+dfsg2-19) unstable; urgency=high

  * Do actually install README.Debian, too

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 12 May 2025 21:54:30 +0000

musescore3 (3.2.3+dfsg2-18) unstable; urgency=high

  * Update 3.0.2+dfsg1-1 changelog entry with resolution
  * Merge musescore2 (2.3.2+dfsg4-16) unstable; urgency=high
    - Update description:
      - the musescore.org software has been renamed upstream to
        Mu͒seScore Studio and the musescore.com website to
        Mu͒seScore Catalogue and the mobile äpps to
        Mu͒seScore Sheet Music for Android and iOS
        ⇒ follow that
      - cease naming commercial competitors it’s supposedly better than
      - update situation description for major version 2 vs. 3
      - document no v4 package is planned due to the freeness reduction
      - plan to package “Mu͒seScore 3 Evolution” (community-maintained
        3.7 fork) as musescore-snapshot (as it has no releases anyway)
      - document Muse Group company takeover, remove mentions of old one
      - reduce delta between v2/v3 descriptions
    - Backport fixes:
      - Help→MusicXML: link correct licence (from mu͒ Evolution)
      - Fix for CVE-2024-44866 (from mu͒4); (Closes: #1070860)
    - Add README.Debian to explicitly express that this should not be
      exposed to untrusted input files without confinement (cf. #1070860)
    - Work around unexpected colourised messages from cmake’s tester
    - Try to blindly fix CVE-2023-44428: (addresses #1070860 as well)
      - improve Capella import robustness
      - arm Q_ASSERT{,_X} macros to exercise the tests and log failures and,
        if MSCORE_ASSERT_ABORT is set, make assertion failure abort()
    - Improve stderr log formatting and omit debug level, except -d is used
    - Bump Policy, transition to libfreetype-dev
    - Update lintian overrides for sid
  * Update MuseJazz Text font
  * Backport GH#16346: CVE-2023-26923
  * Bump Policy; refresh lintian overrides
  * Fix PDF y positions subtly varying on GUI DPI and -D
  * Quell more warnings, compiler or runtime

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 22 Apr 2025 18:38:48 +0000

musescore3 (3.2.3+dfsg2-17) unstable; urgency=medium

  * Fix compilation by GCC 14 (Closes: #1075300)
  * Update description, UMEGAYA
  * Backport a few patches:
    – tmpfile fix
    – fix displayed MusicXML licence
    – constify an array to fix a compiler warning
    – disable a broken command, avoids score corruption
  * Update lintian stuff, bump Policy (no changes)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 08 Jul 2024 22:51:36 +0200

musescore3 (3.2.3+dfsg2-16) unstable; urgency=medium

  * Fix a few more uninitialised memory accesses found by Valgrind
  * Work around unexpected colourised messages from cmake’s tester

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 14 Aug 2022 04:41:04 +0200

musescore3 (3.2.3+dfsg2-15) unstable; urgency=medium

  * Use backported fix to replace parts of the Tebe Poem crash fix
    (for style consistency with 3.6.x)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 07 Aug 2022 18:55:04 +0200

musescore3 (3.2.3+dfsg2-14) unstable; urgency=medium

  * Add more fixes to Tebe Poem fix patch
  * Apply more fixes from upstream and PR#9000
  * debian/watch: work around GH API breakage
  * Quell some debugging output

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 07 Aug 2022 05:39:51 +0200

musescore3 (3.2.3+dfsg2-12) unstable; urgency=low

  * “Blessed Beltaine” upload (or happy May day)
  * Add a few frames-related bugfixes from upstream
  * Test experimental crash in Tebe Poem fix
  * Allow longer offtime (10× nominal length) for notes in PRE

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 01 May 2022 02:55:43 +0200

musescore3 (3.2.3+dfsg2-11) unstable; urgency=medium

  * Fix soundfont-related crashes or audible artefacts (Closes: #985129)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 Jun 2021 18:18:36 +0200

musescore3 (3.2.3+dfsg2-10) unstable; urgency=medium

  * Merge musescore2 (2.3.2+dfsg4-14) unstable; urgency=medium
    - fixes rare error in m3-common.prerm (Closes: #984592)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Mar 2021 17:59:50 +0100

musescore3 (3.2.3+dfsg2-9) unstable; urgency=medium

  * backports/plugin-parent.diff: fix crash when traversing from
    an Element through its parents (in a QML plugin): missing
    NULL return when the element has no parent
  * upstream/sprintf.diff: fix (unlikely) sprintf overflow

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 11 Feb 2021 02:21:26 +0100

musescore3 (3.2.3+dfsg2-8) unstable; urgency=medium

  * Sync SMuFL update to upstream
  * Merge musescore2 (2.3.2+dfsg4-12) unstable; urgency=medium
    - Fix CFLAGS/CXXFLAGS extras to disable upstream-only warnings
    - Update list of MScore.ttf copyright holders again, document
    - Explicitly debundle GNU FreeFont
    - Switch debian/watch to api.github.com to list more tags
    - Modernise maintainer scripts from jupp (template)
    - Bump Policy (no changes relevant for us)
    - Update lintian overrides
  * Merge patches from upstream or submitted:
    - do not delete courtesy accidentals on octave changes
    - allow mid-score staff name changes
    - fix crash hiding palettes (F9)
    - various plugin-related fixes
    - expose Score.selection object to access elements selected in GUI
    - add removeElement API and restore Chord.{add,remove} for plugins
  * Update patch submission/merge status/metadata
  * Fix pattern order in debian/copyright and document deviations

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 01 Feb 2021 01:04:50 +0100

musescore3 (3.2.3+dfsg1-7) unstable; urgency=medium

  * Address QA warning in AppData
  * Quell another debugging output
  * Update musical font against latest PR sent upstream
  * Also indicate tuning, on/off time in the status line
  * Update SMuFL data (but keep same version) matching PR submitted
  * Fix rendering of parenthesised accidentals
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 25 Oct 2020 06:45:12 +0100

musescore3 (3.2.3+dfsg1-6) unstable; urgency=low

  * Merge musescore2 (2.3.2+dfsg3-9) unstable; urgency=medium
    - Document the situation with musescore{,3,4} in Description
  * Update older changelog to mention need to avoid linking libssl
  * Merge musescore2 (2.3.2+dfsg3-10) unstable; urgency=low
    - reproducible builds: timezone-local stamps in PKZIP archives
  * Rename source package to musescore3 for symmetry

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 06 Aug 2020 14:46:47 +0200

musescore (3.2.3+dfsg1-5exp1) experimental; urgency=medium

  * Upload to experimental, again with the revert restriking patch

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 30 Jul 2020 20:35:58 +0200

musescore (3.2.3+dfsg1-5) unstable; urgency=high

  * Merge musescore2 (2.3.2+dfsg3-8) wtf; urgency=low
    - Bump Policy (nothing relevant), debhelper
    - Remove dependencies on Qt SQL library which are unneeded
    - Fix DEP 5 format: repacking notice must be in Source, not a Comment
    - Update patches (forwarding information / releases fixed)
    - Drop home-grown umask fixup code, dh does this nowadays
    - Use dh’s new execute_{before,after}_* overrides
    - Work around #796257 to fix Debian reproducible builds
    - Don’t show irrelevant Qt5 deprecation warnings; upstream’s to fix
    - Forward and apply fixes by lintian
  * Add some patches from upstream:
    - Fix warning when loading custom workspaces
    - Allow building against Qt 5.14 (Closes: #964641)
    - Fix rendering of emboldened fonts
    - Numerous crash, playback, layout and other bugfixes
  * Update copyright info (Debian and patches from upstream/submissions)
    - a new CLA seems to be used since 2019…
  * SMuFL: fix typo

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 30 Jul 2020 20:24:17 +0200

musescore (3.2.3+dfsg1-4exp1) experimental; urgency=medium

  * The “Zintermäärtes” upload, go “schnörzen” now ☺
  * Upload to experimental, again with the revert restriking patch

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 11 Nov 2019 00:00:19 +0100

musescore (3.2.3+dfsg1-4) unstable; urgency=medium

  * Apply workaround for broken directory bookmarks in file dialogue
  * (Yes I know 3.3’s out, I will be packaging it shortly)
  * Merge musescore2 (2.3.2+dfsg3-7) wtf; urgency=low
  * Upload to sid again without the revert restriking patch
  * Add new features from 3.2 to the package description

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 10 Nov 2019 22:54:07 +0100

musescore (3.2.3+dfsg1-3exp1) experimental; urgency=medium

  * Upload to experimental, again with the revert restriking patch
  * Use the Debian packaging of freefont, do not bundle it

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 30 Oct 2019 15:37:20 +0100

musescore (3.2.3+dfsg1-3) unstable; urgency=high

  * Fix crash on reading preferences files containing unrecognised
    entries (such as these from a later otherwise compatible version)
  * Update lintian override: a false positive is no longer present

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 30 Oct 2019 15:36:22 +0100

musescore (3.2.3+dfsg1-2exp1) experimental; urgency=low

  * Upload to experimental, again with the revert restriking patch

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 30 Sep 2019 02:32:24 +0200

musescore (3.2.3+dfsg1-2) unstable; urgency=low

  * Upload to unstable, again without the restriking patch
  * Merge musescore (3.2.3+dfsg1-1exp1) experimental; urgency=low
    - pull another post-release bugfix from upstream
  * Set umask 022 for reproducibility
  * Merge musescore2 (2.3.2+dfsg3-6) wtf; urgency=low
    - updates d/copyright with more historic info + formatting
    - modernising and correcing packaging
    - runs test in UTF-8 locale, lile build
    - add -g3 to optdbg builds
    - Policy 4.4.1 (no changes)
  * Fix misspelt translation

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 30 Sep 2019 01:18:56 +0200

musescore (3.2.3+dfsg1-1exp1) experimental; urgency=low

  * Upload to experimental, again with the revert restriking patch
  * Pull another post-release bugfix from upstream

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 10 Jul 2019 18:57:24 +0200

musescore (3.2.3+dfsg1-1) unstable; urgency=low

  * Fix About when build number is empty (cosmetic)
  * Merge musescore2 (2.3.2+dfsg3-5) wtf; urgency=low
  * New upstream release
  * Upload to unstable, with the revert restriking patch disabled
  * Fix building with disabled plugins (needed to build on stretch)
  * Small cosmetic fix for About dialogue and --long-version

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 10 Jul 2019 03:22:28 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog musescore3`.
